import FeatureType from './FeatureType';
declare class FeatureModel {
    static _next_id: number;
    private _id;
    private _type;
    private _attributes;
    /**
       * @constructs
       * @param type
       * @throws will throw an exception if type is null or undefined
       * assigns a unique id and the given type to the new model
       */
    constructor(type: FeatureType);
    getAttributes(): any;
    static capitalize(str: string): string;
    setAttributes(attributes: any): void;
    setAttribute(key: string, value: unknown): void;
    getAttribute(key: string): any;
    getId(): number;
    setId(id: number): void;
    getType(): FeatureType;
    static _nextUUID(): number;
}
export default FeatureModel;
